# Contributing

To contribute,

1. Fork this repository.
1. Work on your changes within a topic branch.
1. Create a pull request

Pull requests are accepted under the discretion of the SidecarDevTools maintainer(s). Improve the chances your PR will be merged by following the requirements and guidelines below. For any questions, please e-mail developers@sugarcrm.com.

## REQUIREMENTS

* By creating a pull request, you are agreeing to [SugarCRM Open Source Contributor terms](CONTRIBUTOR_TERMS.md).

## GUIDELINES

* Make sure your pull contains quality code. We will certainly provide constructive feedback on works in progress but we will not merge incomplete pull requests.
* Make sure your pull is fully documented. For Javascript, we use jsdoc.
* Reference related Github Issues within commit comments and pull request comment where appropriate.
* Squash out minor or "typo" commits in your pull using `git commit -a` or `git rebase -i`.

## BUGS

File bugs or feature requests using Github Issue Tracker.
